## ros-rolling-rmf-building-sim-gazebo-plugins 1.2.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(rmf_building_sim_gazebo_plugins)

find_package(Qt5 COMPONENTS Widgets REQUIRED)
set(CMAKE_AUTOMOC ON)

# Default to C99
if(NOT CMAKE_C_STANDARD)
  set(CMAKE_C_STANDARD 99)
endif()

# Default to C++17
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 17)
endif()


if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra -Wpedantic)
endif()

# find dependencies
find_package(ament_cmake REQUIRED)
find_package(rclcpp REQUIRED)
find_package(gazebo_dev REQUIRED)
find_package(gazebo_ros REQUIRED)
find_package(OpenCV REQUIRED )
find_package(rmf_fleet_msgs REQUIRED)
find_package(rmf_building_sim_common REQUIRED)
find_package(menge_vendor REQUIRED)

include(GNUInstallDirs)

###############################
# door stuff
###############################

add_library(door SHARED src/door.cpp)

ament_target_dependencies(door
  rmf_building_sim_common
  rclcpp
  gazebo_ros
)

target_include_directories(door
  PUBLIC
    $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>
    $<INSTALL_INTERFACE:${CMAKE_INSTALL_INCLUDEDIR}>
    ${GAZEBO_INCLUDE_DIRS}
)

###############################
# lift stuff
###############################

add_library(lift SHARED src/lift.cpp)

ament_target_dependencies(lift
    rmf_building_sim_common
    rclcpp
    gazebo_ros
)

target_include_directories(lift
  PUBLIC
    $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>
    $<INSTALL_INTERFACE:${CMAKE_INSTALL_INCLUDEDIR}>
    ${GAZEBO_INCLUDE_DIRS}
)

###############################
# toggle floor stuff
###############################

add_library(toggle_floors SHARED src/toggle_floors.cpp)

ament_target_dependencies(toggle_floors
    Qt5
    gazebo_ros
    rmf_fleet_msgs
    rclcpp
)

target_include_directories(toggle_floors
  PUBLIC
    ${GAZEBO_INCLUDE_DIRS}
    #${rmf_building_sim_common_INCLUDE_DIRS}
    ${Qt5Core_INCLUDE_DIRS}
)

###############################
# toggle charging
###############################

add_library(toggle_charging SHARED src/toggle_charging.cpp)

ament_target_dependencies(toggle_charging
    Qt5
    gazebo_ros
    rmf_fleet_msgs
    rclcpp
)

target_include_directories(toggle_charging
  PUBLIC
    ${GAZEBO_INCLUDE_DIRS}
    ${Qt5Core_INCLUDE_DIRS}
)


###############################
# thumbnail generation stuff
###############################

add_library(thumbnail_generator SHARED src/thumbnail_generator.cpp)

target_include_directories(thumbnail_generator
  PUBLIC
    ${GAZEBO_INCLUDE_DIRS}
    ${OpenCV_INCLUDE_DIRS}
)

target_link_libraries(thumbnail_generator
  PUBLIC
    ${OpenCV_LIBS}
)

###############################
# crowd simulator stuff
###############################
add_library(crowd_simulator
  SHARED
    src/crowd_simulator.cpp
)

ament_target_dependencies(crowd_simulator
  rmf_building_sim_common
  rclcpp
  menge_vendor
)

target_include_directories(crowd_simulator
  PUBLIC
    $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>
    ${GAZEBO_INCLUDE_DIRS}
    ${menge_vendor_INCLUDE_DIRS}
    ${rmf_building_sim_common_INCLUDE_DIRS}
)

###############################
# install stuff
###############################

install(
  TARGETS door lift toggle_floors toggle_charging thumbnail_generator crowd_simulator
  LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
  ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR}
)

ament_package()

=== debian/changelog ===
ros-rolling-rmf-building-sim-gazebo-plugins (1.2.0-2focal) focal; urgency=high

  * Merge branch 'release-1.1'
  * Control slotcar with model velocity cmds in place of joint velocity cmds (#236 <https://github.com/osrf/traffic_editor/issues/236>)
  * Implement battery drain and recharge for slotcars (#242 <https://github.com/osrf/traffic_editor/issues/242>)
  * Implement animation switching in crowd simulation (#238 <https://github.com/osrf/traffic_editor/issues/238>)
  * Building_crowdsim for generating the navmesh file and required configuration files for menge (#224 <https://github.com/osrf/traffic_editor/issues/224>)
  * Contributors: Geoffrey Biggs, Guoliang (Fred) Shao, Marco A. Gutierrez, Marco A. Gutiérrez, Rushyendra Maganty
  * Add animation switch to crowd simulation plugin (#238 <https://github.com/osrf/traffic_editor/pull/238>)

 -- Morgan Quigley <morgan@openrobotics.org>  Wed, 06 Jan 2021 00:00:00 -0000

ros-rolling-rmf-building-sim-gazebo-plugins (1.1.0-2focal) focal; urgency=high

  * Implement model visibility toggling (#226 <https://github.com/osrf/traffic_editor/issues/226>)
  * Add crowd simulation plugin (#218 <https://github.com/osrf/traffic_editor/issues/218>)
  * Foxy support (#194 <https://github.com/osrf/traffic_editor/issues/194>)
  * Add field in lift dialog for initial floor, handle invalid initial floor
  * Modularization of doors and slotcar #138 <https://github.com/osrf/traffic_editor/issues/138>
  * Add gazebo lift plugin
  * Contributors: Charayaphan Nakorn Boon Han, Guoliang (Fred) Shao, Kevin_Skywalker, Luca Della Vedova, MakinoharaShouko, Yadu

 -- Morgan Quigley <morgan@openrobotics.org>  Thu, 24 Sep 2020 00:00:00 -0000

ros-rolling-rmf-building-sim-gazebo-plugins (1.0.0-2focal) focal; urgency=high

  * Merge pull request #151 <https://github.com/osrf/traffic_editor/issues/151> from osrf/fix/slotcar_level_name
    Slotcar update
  * Level name inferred from elevation. Set publish rate to 2hz.
  * merging master
  * Merge pull request #139 <https://github.com/osrf/traffic_editor/issues/139> from osrf/feature/adapter_error
    Report when a new path request is out of date
  * Report when a new path request is out of date
  * Merge pull request #119 <https://github.com/osrf/traffic_editor/issues/119> from osrf/fix/slotcar_level_name
    Level name populated in Slotcar RobotState msg
  * Cleanup
  * Level name populated in RobotState msg
  * Merge pull request #95 <https://github.com/osrf/traffic_editor/issues/95> from osrf/fix/plugin-link-missing
    changed to using target_link_libraries to be specific
  * changed to using target_link_libraries to be specific
  * Merge pull request #90 <https://github.com/osrf/traffic_editor/issues/90> from osrf/feature/single-doors
    Feature/single doors
  * WIP open/close positions flipped at -90 and -1
  * migrated single door changes to plugin
  * Merge branch 'master' into feature/single-doors
  * Merge pull request #89 <https://github.com/osrf/traffic_editor/issues/89> from osrf/add_gazebo_plugins
    add gazebo plugins used by rmf_building_map_tools generators
  * add gazebo plugins used by rmf_building_map_tools generators
  * Contributors: Aaron, Aaron Chong, Michael X. Grey, Morgan Quigley, Yadu, Yadunund

 -- Morgan Quigley <morgan@openrobotics.org>  Mon, 22 Jun 2020 00:00:00 -0000

=== debian/control ===
Source: ros-rolling-rmf-building-sim-gazebo-plugins
Section: misc
Priority: optional
Maintainer: Morgan Quigley <morgan@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), libopencv-dev, libqt5widgets5, qtbase5-dev, ros-rolling-ament-cmake, ros-rolling-gazebo-dev, ros-rolling-gazebo-ros, ros-rolling-menge-vendor, ros-rolling-rclcpp, ros-rolling-rmf-building-sim-common, ros-rolling-rmf-fleet-msgs, ros-rolling-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-rolling-rmf-building-sim-gazebo-plugins
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libopencv-dev, libqt5widgets5, qtbase5-dev, ros-rolling-gazebo-dev, ros-rolling-gazebo-ros, ros-rolling-menge-vendor, ros-rolling-rclcpp, ros-rolling-rmf-building-sim-common, ros-rolling-rmf-fleet-msgs, ros-rolling-ros-workspace
Description: Gazebo plugins so that buildings generated by rmf_building_map_tools can talk to the ROS 2-based systems in the rmf_core package.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/rolling/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/rolling" \
		-DAMENT_PREFIX_PATH="/opt/ros/rolling" \
		-DCMAKE_PREFIX_PATH="/opt/ros/rolling"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-rolling-rmf-building-sim-gazebo-plugins//opt/ros/rolling/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_install
